Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::background_node::front_url_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::background_node::front_url_exposedfield:

[legend]
List of all members.

## Detailed Description

frontUrl exposedField implementation.

For internal use only.

## Public Member Functions

| front_url_exposedfield (background_node &node) throw ()
| Construct.
virtual | ~front_url_exposedfield () throw ()
| Destroy.

## Private Member Functions

virtual void | event_side_effect (const mfstring &value, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::background_node::front_url_exposedfield::front_url_exposedfield | ( | background_node & | node | ) | throw ()`[explicit]`

Construct.

Parameters:

  | node | background_node.

openvrml::vrml97_node::background_node::front_url_exposedfield::~front_url_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::background_node::front_url_exposedfield::event_side_effect | ( | const mfstring & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process event.

Parameters:

  | value | new frontUrl value.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Reimplemented from openvrml::exposedfield< mfstring >.